Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class BinaryFloatExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
          org.codehaus.groovy.classgen.asm.BinaryFloatExpressionHelper

    public class BinaryFloatExpressionHelper
    extends BinaryExpressionWriter

Authors:
  Jochen "blackdrag" Theodorou

Field Summary

Fields inherited from class BinaryExpressionWriter
stdCompareCodes

Constructor Summary
`BinaryFloatExpressionHelper(WriterController controller)`

Method Summary
`protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
`protected MethodCaller` | `getArrayGetCaller()`
`protected MethodCaller` | `getArraySetCaller()`
`protected int` | `getBitwiseOperationBytecode(int type)`
`protected int` | `getCompareCode()`
`protected ClassNode` | `getDevisionOpResultType()`
`protected ClassNode` | `getNormalOpResultType()`
`protected int` | `getShiftOperationBytecode(int type)`
`protected int` | `getStandardOperationBytecode(int type)`
`protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
`protected boolean` | `writeBitwiseOp(int type, boolean simulate)`
`protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
`protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
`protected boolean` | `writeShiftOp(int type, boolean simulate)`

Methods inherited from class BinaryExpressionWriter
arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryFloatExpressionHelper

    public BinaryFloatExpressionHelper(WriterController controller)

Method Detail

### doubleTwoOperands

    protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

### getArrayGetCaller

    protected MethodCaller getArrayGetCaller()

### getArraySetCaller

    protected MethodCaller getArraySetCaller()

### getBitwiseOperationBytecode

    protected int getBitwiseOperationBytecode(int type)

### getCompareCode

    protected int getCompareCode()

### getDevisionOpResultType

    protected ClassNode getDevisionOpResultType()

### getNormalOpResultType

    protected ClassNode getNormalOpResultType()

### getShiftOperationBytecode

    protected int getShiftOperationBytecode(int type)

### getStandardOperationBytecode

    protected int getStandardOperationBytecode(int type)

### removeTwoOperands

    protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

### writeBitwiseOp

    protected boolean writeBitwiseOp(int type, boolean simulate)

### writeMinusMinus

    protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

### writePlusPlus

    protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

### writeShiftOp

    protected boolean writeShiftOp(int type, boolean simulate)

Groovy Documentation